Raritan PX2/PX3 JSON-RPC API

Public Attributes | List of all members
sensors::Logger_2_1_6::Record Struct Reference

Sensor log record. More...

`import"SensorLogger.idl";`

## Public Attributes
boolean | available
| Sensor was available for at least one sample.
int | takenValidSamples
| Number of samples with a valid reading/state.
int | state
| Sensor state.
double | minValue
| Minimum sensor reading.
double | avgValue
| Average sensor reading.
double | maxValue
| Maximum sensor reading.

## Detailed Description

Sensor log record.

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/SensorLogger.idl